body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
}

header {
    background-color: #004d40;  /* 设置为墨绿色 */
    color: #fff;
    padding: 10px 0;
    position: relative;
}

.logo-nav, .menu-nav {
    display: inline-block;
}

.logo {
    width: 100px;
    margin-right: 50px;
}

nav ul {
    list-style-type: none;
    padding: 0;
    display: flex;
    justify-content: space-around;
}

nav ul li {
    margin: 0 20px;  /* 增加间距 */
}

nav ul li a {
    color: #fff;
    text-decoration: none;
}

#nav-toggle {
    position: absolute;
    top: 10px;
    right: 10px;
    display: none;
}

#nav-toggle span,
#nav-toggle span:before,
#nav-toggle span:after {
    cursor: pointer;
    border-radius: 1px;
    height: 5px;
    width: 35px;
    background: #fff;
    position: absolute;
    display: block;
    content: '';
}

#nav-toggle span:before {
    top: -10px;
}

#nav-toggle span:after {
    bottom: -10px;
}

@media screen and (max-width: 800px) {
    .logo-nav, .menu-nav {
        display: block;
        text-align: center;
    }

    nav ul {
        flex-direction: column;
        display: none;
    }

    #nav-toggle {
        display: block;
    }
}

main {
    padding: 20px;
}

footer {
    background-color: #333;
    color: #fff;
    text-align: center;
    padding: 10px 0;
    position: fixed;
    bottom: 0;
    width: 100%;
}
